/* 
 * File:   Menu.h
 * Author: michel.ruoss
 *
 * Created on 18. Dezember 2015, 23:43
 */

#ifndef MENU_H
#define	MENU_H
/** <code>
 * Unterdruecken eines Warnhinweise zur nutzung der plib.h
 * </code> @note Warnhinweis wird in Outputfenster IDE unterdrueckt
 */
#define _SUPPRESS_PLIB_WARNING 1

#include <stdint.h>
/** <code>
 * Definition des Menu Steuerungs Enum
 * </code> @note In allen MenuX.c verwendet
 */
enum Menu {menuFlagRot, menuFlagGruen, menuFlagBlau, menuFlagStorage, menuFlagRandom};
/** <code>
 * Definition des Tasten Steuerungs Enum
 * </code> @note In allen MenuX.c und key2.c verwendet
 */
enum PressedKey {keyNoPress=-1,keyNull=0,key1=1,key2, key3, key4, key5, key6, key7, key8, key9, keyA, keyB, keyC, keyD, keyE, keyF};
/** <code>
 * Steuerung des Menu`s mit einem Enum Variable menuFlag
 * Enum Typ
 * Menu {menuRot, menuGruen, menuBlau, menuStorage, menuRandom};
 * </code> @note Volatile deklariert um eine optimierung durch den Compiler zur Unterbinden
 */
extern volatile int menuFlag;


#endif	/* MENU_H */

