#include "valueControl.h"

/** <code>
 * @file valueControl.c
 * @author M.Ruoss
 * 
 * @section TitlevalueControl Wert Eingabe verarbeitung
 * Verarbeitet die eingebenen Zahlenwerte fuer die Steuerung des DutyCycle der einzelnen PWM Signale.
 * @subsection BeschreibungvalueControl Beschreibung valueControl
 * Es werden die ueber die Tasten eingegebenen Zahlen so verarbeitet, das sie erstens auf dem Display als Prozentwert ausgegeben
 * werden koennen und zweitens so aufbereitet das diese einen Mehrstelligen Wert entsprechen koennen.
 * @param key @ref key
 * @param menuFlag @ref menuFlag
 * 
 * @return valueNew @ref valueNew 
 * 
 * @see @ref valueControl.h Details sind dem Code zu entnehmen @ref valueControl.c.
 * 
 * </code>
 */

int valueNew(int key, int menuFlag)
{
    /*Statische Kontroll Variablen und zwischenspeicher Variablen
     */
    static int valueOld;
    static int oldMenuFlag;
    /*Rueckgabe Variable mit neuem Wert
     */
    int valueNew;

    //Abfrage wegen Cursorposition
    if (valueOld == 7200)
    {
        valuePos = Pos1;
    }
    else if (oldMenuFlag != menuFlag) //Abfrage ob ein anders Menugewhlt setzen auf Position1
    {
        oldMenuFlag = menuFlag;
        valuePos = Pos1;
    }
    //Eingabe umrechnen und zurueckgeben
    switch (valuePos)
    {
    case Pos1: valueNew = key * 72; /*Berechnung des Wertes mit einer Stelle*/
        valuePos = Pos2;
        break;
    case Pos2: valueNew = (valueOld * 10)+ (key * 72); /*Berechnung des Wertes mit zwei Stellen*/
        valuePos = Pos3;
        break;
    case Pos3: if (valueOld != 0)
        {
            valueNew = 7200; /*Solle dre Stellen eingebeben werden wird der Wert automatische auf 100% gesetzt*/
        }
        valuePos = Pos1;
        break;
    default: valuePos = Pos1;
        return valueOld;
        break;
    }
    //Alter Wert fuer weiteren durchgang erhalten
    valueOld = valueNew;
    return valueNew;
}